#!/bin/bash

hostname=atelier-pc

echo -e "\nPacman..."
sed -i s/#Color/Color\\nILoveCandy/ /etc/pacman.conf
sed -i s/#TotalDownload/TotalDownload/ /etc/pacman.conf
sed -i s/CheckSpace/#CheckSpace/ /etc/pacman.conf

echo -e "\nFuseau horaire..."
ln -sf /usr/share/zoneinfo/Europe/Paris /etc/localtime

echo -e "\nHardware clock..."
hwclock --systohc

echo -e "\nLocale & keymap..."
echo "LANG=fr_FR.UTF-8" > /etc/locale.conf
echo "fr_FR.UTF-8 UTF-8" > /etc/locale.gen
echo "KEYMAP=fr-latin9" > /etc/vconsole.conf
echo "FONT=ter-218b" >> /etc/vconsole.conf
echo "FONT_MAP=8859-15" >> /etc/vconsole.conf
sed -i 's/fsck)/fsck consolefont)/' /etc/mkinitcpio.conf
locale-gen

echo -e "\nHostname & host..."
echo $hostname > /etc/hostname
echo -e "127.0.0.1\tlocalhost\n::1\tlocalhost\n127.0.1.1\t${hostname}.localdomain\t${hostname}" >> /etc/hosts

echo -e "\nServices..."
systemctl enable org.cups.cupsd
systemctl enable sshd

echo -e "\nInitramfs..."
mkinitcpio -p linux

echo -e "\nBoot Loader...\n"
sudo fdisk -l | grep "/dev/"
echo
read -p "Sur quel disque ? " dev
grub-install $dev
grub-mkconfig -o /boot/grub/grub.cfg

echo -e "\nRoot Password..."
passwd

echo -e "\nT0MuX user,  password and sudo"
useradd -m -G wheel,sys t0mux
passwd t0mux
sed -i 's/# %wheel ALL=(ALL) ALL/%wheel ALL=(ALL) ALL/

echo -e "\nFin du script.\n"
