#!/bin/bash

# définition du navigateur
nav=qutebrowser

# définition du fichier d'options
file=~/Sync/Conf/qb/quickmarks

# lecture des options à partir du fichier
IFS_BACKUP=$IFS
IFS=^
options=()
while read -r line; do
	#options+=("$line")
	# extraire le texte avant le dernier espace
	#text=$(echo "$line" | rev | cut -d ' ' -f2- | rev)
	#options+=("$text")
    text=$(echo "${line% *}^")  # extraire le texte jusqu'au premier espace
    options+=("$text")  # stocker le texte et la ligne complète comme 2 éléments distincts

done < "$file"

# affichage du menu et saisie de l'option choisie
eval `resize`
selected=$(whiptail --title "QB Quickmarks Browser" --menu "Sélectionnez une option :" $LINES $COLUMNS $(( $LINES - 8 )) "${options[@]}" 3>&1 1>&2 2>&3)

# ouverture de l'URL sélectionnée dans le navigateur défini
if [ $? = 0 ]; then
	# extraire l'URL correspondante dans le fichier d'options
	#url=$(grep -F "$selected" "$file" | cut -d ' ' -fNF)
	url=$(echo "$selected" | awk '{print $NF}')
	setsid $nav "$selected"
fi

IFS=$IFS_BACKUP
